List simulationAutomations
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get a list of attack simulation automations for a tenant.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AttackSimulation.Read.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | AttackSimulation.Read.All |
HTTP request
GET /security/attackSimulation/simulationAutomations
Optional query parameters
This method supports the $count, $filter, $orderby, $skip, $top, and $select OData query parameters to help customize the response. You can use the $filter and $orderby query parameters on the displayName and status properties.
If the result set spans multiple pages, the response body contains an @odata.nextLink that you can use to page through the result set.
The following are examples of their use:
GET /security/attackSimulation/simulationAutomations?$count=true
GET /security/attackSimulation/simulationAutomations?$filter={property} eq '{property-value}'
GET /security/attackSimulation/simulationAutomations?$filter={property} eq '{property-value}'&$top=5
GET /security/attackSimulation/simulationAutomations?$orderby={property}
GET /security/attackSimulation/simulationAutomations?$skip={skipCount}
GET /security/attackSimulation/simulationAutomations?$top=1
GET /security/attackSimulation/simulationAutomations?$select={property}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of simulationAutomation objects in the response body.
Examples
The following is an example of a request.
Request
GET https://graph.microsoft.com/beta/security/attackSimulation/simulationAutomations
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.simulationAutomation",
"id": "fbad62b0-b32d-b6ac-9f48-d84bbea08f96",
"displayName": "Reed Flores",
"description": "Sample Simulation Automation Description",
"status": "running",
"createdDateTime": "2022-01-01T01:01:01.01Z",
"createdBy": {
"id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
"displayName": "Reed Flores",
"email": "reed@contoso.com"
},
"lastModifiedDateTime": "2022-01-01T01:01:01.01Z",
"lastModifiedBy": {
"id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
"displayName": "Reed Flores",
"email": "reed@contoso.com"
},
"lastRunDateTime": "2022-01-01T01:01:01.01Z",
"nextRunDateTime": "2022-01-01T01:01:01.01Z"
}
]
}
Feedback
Submit and view feedback for